/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
// Package
package gov.va.med.fw.report.data;

import gov.va.med.fw.report.ReportException;

// Java classes

// Library classes

// Framework classes

// ESR classes

/**
 * 
 *
 * Project: Framework</br>
 * Created on: 4:26:38 PM </br>
 *
 * @author DNS   LEV
 */
public class ReportDataException extends ReportException {

	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = 9203802589640725811L;

	/**
	 * A default constructor
	 */
	public ReportDataException() {
		super();
	}

	/**
	 * A default constructor
	 * @param message
	 */
	public ReportDataException(String message) {
		super(message);
	}

	/**
	 * A default constructor
	 * @param message
	 * @param t
	 */
	public ReportDataException(String message, Throwable t) {
		super(message, t);
	}

	/**
	 * A default constructor
	 * @param t
	 */
	public ReportDataException(Throwable t) {
		super(t);
	}
}